GET /v1/apiCollections/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import APICollections
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = APICollections.get_versions("0f7ee81c-8163-4097-8adb-45c3d6c7b14b")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
ac_v1 = APICollections.get_specific_version(
"0f7ee81c-8163-4097-8adb-45c3d6c7b14b",
"0.1"
)
print(f"Original description: {ac_v1.description}")
import static org.openmetadata.sdk.fluent.APICollections.*;
// List all versions
var history = APICollections.getVersions("0f7ee81c-8163-4097-8adb-45c3d6c7b14b");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = APICollections.getSpecificVersion(
"0f7ee81c-8163-4097-8adb-45c3d6c7b14b",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "apiCollection",
"versions": [
"{\"id\":\"0f7ee81c-8163-4097-8adb-45c3d6c7b14b\",\"name\":\"pet\",\"fullyQualifiedName\":\"sample_api_service.pet\",\"version\":0.2,\"description\":\"Updated: Pet-related API endpoints\",\"serviceType\":\"Rest\"}",
"{\"id\":\"0f7ee81c-8163-4097-8adb-45c3d6c7b14b\",\"name\":\"pet\",\"fullyQualifiedName\":\"sample_api_service.pet\",\"version\":0.1,\"serviceType\":\"Rest\"}"
]
}
API Collection Versions
List and retrieve historical versions of an API collection
GET
/
v1
/
apiCollections
/
{id}
/
versions
GET /v1/apiCollections/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import APICollections
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = APICollections.get_versions("0f7ee81c-8163-4097-8adb-45c3d6c7b14b")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
ac_v1 = APICollections.get_specific_version(
"0f7ee81c-8163-4097-8adb-45c3d6c7b14b",
"0.1"
)
print(f"Original description: {ac_v1.description}")
import static org.openmetadata.sdk.fluent.APICollections.*;
// List all versions
var history = APICollections.getVersions("0f7ee81c-8163-4097-8adb-45c3d6c7b14b");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = APICollections.getSpecificVersion(
"0f7ee81c-8163-4097-8adb-45c3d6c7b14b",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "apiCollection",
"versions": [
"{\"id\":\"0f7ee81c-8163-4097-8adb-45c3d6c7b14b\",\"name\":\"pet\",\"fullyQualifiedName\":\"sample_api_service.pet\",\"version\":0.2,\"description\":\"Updated: Pet-related API endpoints\",\"serviceType\":\"Rest\"}",
"{\"id\":\"0f7ee81c-8163-4097-8adb-45c3d6c7b14b\",\"name\":\"pet\",\"fullyQualifiedName\":\"sample_api_service.pet\",\"version\":0.1,\"serviceType\":\"Rest\"}"
]
}
API Collection Versions
Every change to an API collection entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
string
required
UUID of the API collection.
Get Specific Version
UseGET /v1/apiCollections/{id}/versions/{version} to retrieve a specific version.
string
required
UUID of the API collection.
string
required
Version number to retrieve (e.g.,
0.2).GET /v1/apiCollections/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import APICollections
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = APICollections.get_versions("0f7ee81c-8163-4097-8adb-45c3d6c7b14b")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
ac_v1 = APICollections.get_specific_version(
"0f7ee81c-8163-4097-8adb-45c3d6c7b14b",
"0.1"
)
print(f"Original description: {ac_v1.description}")
import static org.openmetadata.sdk.fluent.APICollections.*;
// List all versions
var history = APICollections.getVersions("0f7ee81c-8163-4097-8adb-45c3d6c7b14b");
for (var version : history.getVersions()) {
System.out.println("Version: " + version);
}
// Get a specific version
var v1 = APICollections.getSpecificVersion(
"0f7ee81c-8163-4097-8adb-45c3d6c7b14b",
0.1
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/apiCollections/0f7ee81c-8163-4097-8adb-45c3d6c7b14b/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "apiCollection",
"versions": [
"{\"id\":\"0f7ee81c-8163-4097-8adb-45c3d6c7b14b\",\"name\":\"pet\",\"fullyQualifiedName\":\"sample_api_service.pet\",\"version\":0.2,\"description\":\"Updated: Pet-related API endpoints\",\"serviceType\":\"Rest\"}",
"{\"id\":\"0f7ee81c-8163-4097-8adb-45c3d6c7b14b\",\"name\":\"pet\",\"fullyQualifiedName\":\"sample_api_service.pet\",\"version\":0.1,\"serviceType\":\"Rest\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full API collection object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | API collection or version does not exist |
Was this page helpful?
⌘I